{"swagger":"2.0","info":{"version":"v2","title":"MBSAPI2.0"},"host":"api.mspbackups.com","schemes":["https"],"paths":{"/api/Accounts":{"get":{"tags":["Accounts"],"summary":"Retrieves a list of accounts","operationId":"Accounts_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/ProviderAccountsModel"}}}}},"put":{"tags":["Accounts"],"summary":"Changes the account properties","operationId":"Accounts_EditAccount","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"account","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/EditAccount"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}},"post":{"tags":["Accounts"],"summary":"Adds a new account","operationId":"Accounts_AddAccount","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"account","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/Account"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/api/Accounts/{id}":{"get":{"tags":["Accounts"],"summary":"Retrieves account properties by the specified account ID","operationId":"Accounts_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"Account unique identifier","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/AccountsModels"}}}}},"/api/Accounts/AddDestination":{"post":{"tags":["Accounts"],"summary":"Adds backup destinations to existing storage accounts. You can add multiple destinations (buckets) to each storage account","operationId":"Accounts_AddDestinationAccount","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"destination","in":"body","description":"Structure of destination","required":true,"schema":{"$ref":"#/definitions/DestinationOfAccountCreate"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DestinationOfAccount"}}}}},"/api/Accounts/CreateDestination":{"post":{"tags":["Accounts"],"summary":"Creates a new backup destination for existing storage accounts","operationId":"Accounts_CreateAccountDestination","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"destination","in":"body","description":"Structure of account destination","required":true,"schema":{"$ref":"#/definitions/AccountDestinationCreateModel"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DestinationOfAccount"}}}}},"/api/Accounts/EditDestination":{"put":{"tags":["Accounts"],"summary":"Changes the backup destination","operationId":"Accounts_EditDestinationAccount","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"destination","in":"body","description":"Storage account destination model","required":true,"schema":{"$ref":"#/definitions/DestinationOfAccount"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/api/Accounts/RemoveDestination":{"put":{"tags":["Accounts"],"summary":"Removes a backup destination from the storage account","operationId":"Accounts_RemoveDestinationAccount","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"destination","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/DestinationOfAccount"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/api/Administrators":{"get":{"tags":["Administrators"],"summary":"Retrieves a list of administrators","operationId":"Administrators_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/AdministratorsModels"}}}}},"put":{"tags":["Administrators"],"summary":"Changes administrator properties","operationId":"Administrators_Put","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"administrator","in":"body","description":"User Edit properties structure","required":true,"schema":{"$ref":"#/definitions/AdministratorsEditModels"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}},"post":{"tags":["Administrators"],"summary":"Creates a new administrator","operationId":"Administrators_Post","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"administrator","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/AdministratorsNewModels"}}],"responses":{"200":{"description":"OK","schema":{"type":"string"}}}}},"/api/Administrators/{id}":{"get":{"tags":["Administrators"],"summary":"Retrieves administrator properties by specified administrator ID","operationId":"Administrators_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"Administrators unique identifier","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/AdministratorsModels"}}}},"delete":{"tags":["Administrators"],"summary":"Deletes an administrator by the specified ID","operationId":"Administrators_Delete","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/api/Billing":{"get":{"tags":["Billing"],"summary":"Retrieves billing information for a reporting month","operationId":"Billing_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/BillingModels"}}}},"put":{"tags":["Billing"],"summary":"Retrieves billing information for the specified dates/companies","operationId":"Billing_Put","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"filter","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/FilterTotalModels"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/BillingModels"}}}}},"/api/Billing/Details":{"put":{"tags":["Billing"],"summary":"Retrieves detailed billing information for backup and restore operations","operationId":"Billing_Details","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"filter","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/FilterDetailModels"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DetailModels"}}}}},"/api/Builds":{"get":{"tags":["Builds"],"summary":"Retrieves a list of builds that are available to users","operationId":"Builds_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"companyId","in":"query","required":false,"type":"string","format":"uuid"},{"name":"includeSandbox","in":"query","required":false,"type":"boolean"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/BuildModels"}}}}}},"/api/Builds/RequestCustomBuilds":{"post":{"tags":["Builds"],"summary":"Requests custom builds of specified editions","operationId":"Builds_RequestCustomBuilds","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/RequestBuilds"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/api/Builds/AvailableVersions":{"get":{"tags":["Builds"],"summary":"Retrieves the latest available build versions","operationId":"Builds_RequestLatestAvailableVersions","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/BuildEditionModel"}}}}}},"/api/apps/domains":{"get":{"tags":["CloudBackup"],"summary":"Retrieves backup storage information for domains","operationId":"CloudBackup_GetDomains","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/DomainModel"}}}}}},"/api/Companies":{"get":{"tags":["Companies"],"summary":"Retrieves a list of companies","operationId":"Companies_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/CompanyModel"}}}}},"put":{"tags":["Companies"],"summary":"Changes company properties","operationId":"Companies_Update","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"company","in":"body","description":"Company data to update","required":true,"schema":{"$ref":"#/definitions/CompanyModel"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}},"post":{"tags":["Companies"],"summary":"Creates a new company","operationId":"Companies_Create","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"company","in":"body","description":"Company","required":true,"schema":{"$ref":"#/definitions/CompanyCreateModel"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/api/Companies/{id}":{"get":{"tags":["Companies"],"summary":"Retrieves a company by the specified company ID","operationId":"Companies_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"Company ID","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CompanyModel"}}}},"delete":{"tags":["Companies"],"summary":"Deletes a company by the specified company ID","operationId":"Companies_Delete","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"company Id","required":true,"type":"string","format":"uuid"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/api/Computers/{offset}/{count}":{"get":{"tags":["Computers"],"summary":"Retrieves a list of managed computers (endpoints) by provided parameters","operationId":"Computers_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"offset","in":"path","description":"The offset parameter defines the number of computers (endpoints) to skip before beginning the retrieval of data","required":true,"type":"integer","format":"int32"},{"name":"count","in":"path","description":"Number of computers (endpoints) to retrieve","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/api/Computers/{hid}":{"get":{"tags":["Computers"],"summary":"Retrieves computer info by the specified computer HID","operationId":"Computers_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"hid","in":"path","description":"HID of computer","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/api/Computers/{hid}/Disks":{"get":{"tags":["Computers"],"summary":"Retrieves information about disks of a computer by the specified computer HID","operationId":"Computers_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"hid","in":"path","description":"HID of computer","required":true,"type":"string"},{"name":"profile","in":"query","description":"Profile","required":true,"type":"string"},{"name":"isOffline","in":"query","description":"Depending on computer status: if true, the data will be retrieved from settings service, if false, data will be retrieved from the computer","required":true,"type":"boolean"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/api/Computers/{hid}/Plans":{"get":{"tags":["Computers"],"summary":"Retrieves information about backup/restore plans on the computer (endpoint) by the specified computer HID","operationId":"Computers_ListPlans","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"hid","in":"path","description":"HID of computer","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}},"post":{"tags":["Computers"],"summary":"Creates a new plan on the computer (endpoint) by the specified computer HID","operationId":"Computers_CreatePlan","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"hid","in":"path","description":"HID of the computer","required":true,"type":"string"},{"name":"request","in":"body","required":true,"schema":{"$ref":"#/definitions/CreatePlanRequest"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/api/Computers/{hid}/Plans/{id}":{"get":{"tags":["Computers"],"summary":"Retrieves information about a backup/restore plan on the computer (endpoint) by the specified plan ID","operationId":"Computers_GetPlan","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"hid","in":"path","description":"HID of computer","required":true,"type":"string"},{"name":"id","in":"path","description":"Plan ID","required":true,"type":"string","format":"uuid"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}},"put":{"tags":["Computers"],"summary":"Changes plan settings for the plan specified by plan ID on the computer (endpoint) by the specified computer HID","operationId":"Computers_UpdatePlan","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"hid","in":"path","description":"HID of the computer","required":true,"type":"string"},{"name":"id","in":"path","description":"Plan ID","required":true,"type":"string","format":"uuid"},{"name":"request","in":"body","required":true,"schema":{"$ref":"#/definitions/UpdatePlanRequest"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}},"delete":{"tags":["Computers"],"summary":"Deletes a certain plan by the specified computer HID and plan ID. Backup data will be deleted along with the backup plan according to backup storage policies","operationId":"Computers_DeletePlan","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"hid","in":"path","description":"HID of the computer","required":true,"type":"string"},{"name":"id","in":"path","description":"Plan ID","required":true,"type":"string","format":"uuid"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/api/Computers/{hid}/Plans/{id}/start":{"post":{"tags":["Computers"],"summary":"Starts a certain plan by the specified computer HID and plan ID","operationId":"Computers_StartPlan","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"hid","in":"path","description":"HID of the computer","required":true,"type":"string"},{"name":"id","in":"path","description":"Plan ID","required":true,"type":"string","format":"uuid"},{"name":"request","in":"body","required":true,"schema":{"$ref":"#/definitions/StartPlanRequest"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/api/Computers/{hid}/Plans/{id}/stop":{"post":{"tags":["Computers"],"summary":"Stops a certain plan by the specified computer HID and plan ID","operationId":"Computers_StopPlan","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"hid","in":"path","description":"HID of the computer","required":true,"type":"string"},{"name":"id","in":"path","description":"Plan ID","required":true,"type":"string","format":"uuid"},{"name":"request","in":"body","required":true,"schema":{"$ref":"#/definitions/StopPlanRequest"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/api/Computers/{hid}/Plans/{id}/info":{"get":{"tags":["Computers"],"summary":"Retrieves certain plan info by the specified computer HID and plan ID","operationId":"Computers_GetPlanInfo","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"hid","in":"path","description":"HID of the computer","required":true,"type":"string"},{"name":"id","in":"path","description":"Plan ID","required":true,"type":"string","format":"uuid"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/api/Computers/Plans/history/{offset}/{count}":{"get":{"tags":["Computers"],"summary":"Retrieves a backup history of managed computers (endpoints) by provided parameters","operationId":"Computers_GetCompanyHistory","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"offset","in":"path","description":"The offset parameter defines the number of computers (endpoints) to skip before beginning the retrieval of backup history data","required":true,"type":"integer","format":"int32"},{"name":"count","in":"path","description":"Number of computers (endpoints) to retrieve","required":true,"type":"integer","format":"int32"},{"name":"companyId","in":"query","required":true,"type":"string","format":"uuid"},{"name":"year","in":"query","required":false,"type":"integer","format":"int32"},{"name":"month","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/api/Computers/{hid}/Plans/history/{offset}/{count}":{"get":{"tags":["Computers"],"summary":"Retrieves certain plan history by the specified computer HID and plan ID","operationId":"Computers_GetComputerHistory","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"hid","in":"path","description":"HID of the computer","required":true,"type":"string"},{"name":"offset","in":"path","required":true,"type":"integer","format":"int32"},{"name":"count","in":"path","required":true,"type":"integer","format":"int32"},{"name":"year","in":"query","required":false,"type":"integer","format":"int32"},{"name":"month","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/api/Computers/{hid}/Plans/{id}/history":{"get":{"tags":["Computers"],"operationId":"Computers_GetPlanHistory","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"hid","in":"path","required":true,"type":"string"},{"name":"id","in":"path","required":true,"type":"string","format":"uuid"},{"name":"date.year","in":"query","required":false,"type":"integer","format":"int32","maximum":9999,"minimum":2023},{"name":"date.month","in":"query","required":false,"type":"integer","format":"int32","maximum":12,"minimum":1},{"name":"date.day","in":"query","required":false,"type":"integer","format":"int32","maximum":31,"minimum":1}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/api/Computers/{hid}/authorization":{"post":{"tags":["Computers"],"summary":"Creates/updates authorization for endpoints which are currently online by the specified computer HID","operationId":"Computers_AuthorizeComputer","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"hid","in":"path","description":"HID of endpoint","required":true,"type":"string"},{"name":"request","in":"body","required":true,"schema":{"$ref":"#/definitions/AuthorizeComputerRequest"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}},"delete":{"tags":["Computers"],"summary":"Removes authorization from the computer by the specified computer HID","operationId":"Computers_DeleteComputerAuthorization","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"hid","in":"path","description":"HID of endpoint","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/api/Destinations":{"put":{"tags":["Destinations"],"summary":"Changes the backup destination for the user","operationId":"Destinations_Put","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"editDestination","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/EditUserDestination"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}},"post":{"tags":["Destinations"],"summary":"Adds a backup destination to the user","operationId":"Destinations_Post","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"addDestination","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/AddUserDestination"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/UserDestinationsModel"}}}}},"/api/Destinations/{id}":{"delete":{"tags":["Destinations"],"summary":"Removes the backup destination from the user","operationId":"Destinations_Delete","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"string"},{"name":"userId","in":"query","description":"User unique identifier","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/api/Destinations/{userEmail}":{"get":{"tags":["Destinations"],"summary":"Retrieves a list of backup destinations for the user by the specified user’s email","operationId":"Destinations_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"userEmail","in":"path","description":"User login(email)","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/UserDestinationsModel"}}}}}},"/api/Licenses":{"get":{"tags":["Licenses"],"summary":"Retrieves a list of available licenses","operationId":"Licenses_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"isAvailable","in":"query","description":"Only available license","required":false,"type":"boolean"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/LicensesModels"}}}}}},"/api/Licenses/{id}":{"get":{"tags":["Licenses"],"summary":"Retrieves licenses by the specified license ID","operationId":"Licenses_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"License unique identifier","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/LicensesModels"}}}}},"/api/Licenses/Grant":{"post":{"tags":["Licenses"],"summary":"Grants the license to the existing user","operationId":"Licenses_Grant","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"grantLicense","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/LicenseOperation"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/api/Licenses/Release":{"post":{"tags":["Licenses"],"summary":"Releases the license from the user","operationId":"Licenses_Release","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"releaseLicense","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/LicenseOperation"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/api/Licenses/Revoke":{"post":{"tags":["Licenses"],"summary":"Revokes the license (releases info about computer)","operationId":"Licenses_Revoke","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"revokeLicense","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/LicenseOperation"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/api/Monitoring":{"get":{"tags":["Monitoring"],"summary":"Retrieves status data for the latest plan runs on all endpoints (all users)","operationId":"Monitoring_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/MonitoringModels"}}}}}},"/api/Monitoring/{userId}":{"get":{"tags":["Monitoring"],"summary":"Retrieves status data for the latest plan runs on online endpoints, filtered by the specified user ID","description":"MonitoringPlanStatus and MonitoringPlanType tables in separate articles","operationId":"Monitoring_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"userId","in":"path","description":"Existing user id","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/MonitoringModels"}}}}}},"/api/Packages":{"get":{"tags":["Packages"],"summary":"Retrieves a list of available packages","operationId":"Packages_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/PackagesModels"}}}}},"put":{"tags":["Packages"],"summary":"Changes the values of package properties","operationId":"Packages_Put","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"package","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/PackagesModels"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}},"post":{"tags":["Packages"],"summary":"Creates a new package","operationId":"Packages_CreateNewStorageLimit","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"package","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/PackageCreate"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/api/Packages/{id}":{"get":{"tags":["Packages"],"summary":"Retrieves a list of packages by the specified package ID","operationId":"Packages_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"Package unique identifier","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PackagesModels"}}}},"delete":{"tags":["Packages"],"summary":"Removes a package by the specified package ID","operationId":"Packages_Delete","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/api/Provider/Login":{"post":{"tags":["Provider"],"summary":"Retrieves API authentication information. The authentication parameters are provided to the customer","operationId":"Provider_LoginUser","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"model","in":"body","required":true,"schema":{"$ref":"#/definitions/LoginUserBindingModel"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/api/Users":{"get":{"tags":["Users"],"summary":"Retrieves a list of users","operationId":"Users_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/UsersModels"}}}}},"put":{"tags":["Users"],"summary":"Changes user properties","operationId":"Users_Put","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"user","in":"body","description":"User Edit properties structure","required":true,"schema":{"$ref":"#/definitions/UsersEditModels"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}},"post":{"tags":["Users"],"summary":"Creates a new user","operationId":"Users_Post","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"user","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/UsersAddModels"}}],"responses":{"200":{"description":"OK","schema":{"type":"string"}}}}},"/api/Users/{id}":{"get":{"tags":["Users"],"summary":"Retrieves user metadata by the specified user ID","operationId":"Users_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"User unique identifier","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/UsersModels"}}}},"delete":{"tags":["Users"],"summary":"Deletes the user account metadata along with the backup data by the specified user ID","operationId":"Users_DeleteAllUserData","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"User unique identifier","required":true,"type":"string","format":"uuid"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/api/Users/Authenticate":{"put":{"tags":["Users"],"summary":"Retrieves a user by user login and password","operationId":"Users_Authenticate","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"data","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/UserAuthData"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/UsersModels"}}}}},"/api/Users/{id}/Account":{"delete":{"tags":["Users"],"summary":"Deletes the user account metadata by the specified user ID. Backup data is not deleted from the backup storage","operationId":"Users_DeleteAccount","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"User unique identifier","required":true,"type":"string","format":"uuid"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/api/Users/{userid}/Computers":{"get":{"tags":["Users"],"summary":"Retrieves a list of user’s computers (endpoints) by the specified user ID","operationId":"Users_GetUserComputers","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"userid","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/UserComputerData"}}}}}},"/api/Users/{userId}/Computers":{"delete":{"tags":["Users"],"summary":"Deletes computer metadata along with backup data by the specified user ID","operationId":"Users_DeleteComputerData","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"userId","in":"path","description":"User unique identifier","required":true,"type":"string"},{"name":"computersData","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/UserComputerData"}}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}}},"definitions":{"ProviderAccountsModel":{"description":"provider account model","type":"object","properties":{"ResellerAccountID":{"format":"uuid","description":"Reseller storage account unique identifier","type":"string","example":"00000000-0000-0000-0000-000000000000"},"AccountID":{"description":"Account unique identifier","type":"string"},"DateCreated":{"format":"date-time","description":"Date Created","type":"string"},"DisplayName":{"description":"Display Name","type":"string"},"StorageType":{"description":"Storage Type","type":"string"},"Destinations":{"description":"Destination List","type":"array","items":{"$ref":"#/definitions/DestinationOfAccount"}}}},"DestinationOfAccount":{"description":"Storage account destination model","required":["DestinationID","AccountID","Destination"],"type":"object","properties":{"DestinationID":{"format":"uuid","description":"Destination ID","type":"string","example":"00000000-0000-0000-0000-000000000000"},"AccountID":{"format":"uuid","description":"Storage account ID","type":"string","example":"00000000-0000-0000-0000-000000000000"},"Destination":{"description":"Destination name","type":"string"},"DestinationDisplayName":{"description":"Destination name to display","type":"string"},"ImmutabilityPeriodDays":{"format":"int32","maximum":2147483647,"minimum":0,"type":"integer"}}},"Account":{"description":"","required":["DisplayName","Type","AccountSettings"],"type":"object","properties":{"DisplayName":{"description":"Display name","type":"string"},"Type":{"format":"int32","description":"Account type","enum":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,1001,1002],"type":"integer"},"AccountSettings":{"$ref":"#/definitions/Settings","description":"Specific storage settings"}}},"Settings":{"description":"Storage Settings structure","type":"object","properties":{"GoogleCloudPlatform":{"$ref":"#/definitions/GoogleCloudPlatformSettings","description":"Required for Google Cloud Platform accounts"},"AmazonS3":{"$ref":"#/definitions/AmazonS3Settings","description":"Required for Amazon S3 and Amazon S3 China accounts"},"Azure":{"$ref":"#/definitions/AzureSettings","description":"Required for Microsoft Azure account"},"OpenStack":{"$ref":"#/definitions/OpenStackSettings","description":"Required for OpenStack account"},"Oracle":{"$ref":"#/definitions/OpenStackCompatible","description":"Required for Oracle Cloud account"},"S3Compatible":{"$ref":"#/definitions/S3CompatibleSettings","description":"Required for S3 Compatible account. Also using for Scality, CenturyLink, Aruba Cloud, Backblaze B2, Connectria,\r\nConstant, DreamObjects, Dunkel, GreenQloud, HostEurope, Seeweb, ThinkOn, Tiscali\r\nand Walrus accounts"},"Cloudian":{"$ref":"#/definitions/CloudianSettings","description":"Required for Cloudian account"},"FS":{"$ref":"#/definitions/FSSettings","description":"Required for Centrally Managed File System account"},"Wasabi":{"$ref":"#/definitions/WasabiSettings","description":"Required for Wasabi account"},"Minio":{"$ref":"#/definitions/MinioSettings","description":"Required for Minio account"}}},"GoogleCloudPlatformSettings":{"description":"Google Cloud Platform account settings","required":["ServiceAccountEmail","BinaryKeyAsBase64","ProjectID"],"type":"object","properties":{"ServiceAccountEmail":{"description":"Service Account Email","type":"string"},"BinaryKeyAsBase64":{"description":"Binary Key as Base64 string","type":"string"},"ProjectID":{"description":"Project ID","type":"string"}}},"AmazonS3Settings":{"description":"Amazon S3 settings","type":"object","properties":{"IsGovCloud":{"description":"Gov Cloud. Required only Amazon S3","type":"boolean"},"AccessKey":{"type":"string"},"SecretKey":{"type":"string"}}},"AzureSettings":{"description":"Microsoft Azure settings","type":"object","properties":{"AccountName":{"description":"Account name","type":"string"},"SharedKey":{"description":"Shared key","type":"string"},"AccountType":{"format":"int32","description":"Account Type","enum":[0,1,2,3,4,5],"type":"integer"},"CustomEndpoint":{"description":"Custom Endpoint","type":"string"}}},"OpenStackSettings":{"description":"OpenStack settings","type":"object","properties":{"IgnoreCertificate":{"description":"Ignore certificate","type":"boolean"},"NotCheckCredentials":{"description":"Do not check credentials (no public access)","type":"boolean"},"UserName":{"description":"User name","type":"string"},"ApiKey":{"description":"Api Key","type":"string"},"AuthService":{"description":"Authentication service","type":"string"},"KeyStoneVersion":{"format":"int32","description":"Keystone version","enum":[0,1,2],"type":"integer"},"TenantType":{"format":"int32","description":"Tenant Type. Required for Key stone version 2","enum":[0,1],"type":"integer"},"Tenant":{"description":"Tenant","type":"string"},"UseInternalURLs":{"description":"Use internal URLs. Required for Key stone version 2 and 3","type":"boolean"},"DomainType":{"format":"int32","description":"Domain Type. Required for Key stone version 3","enum":[0,1],"type":"integer"},"Domain":{"description":"Domain. Required for Key stone version 3","type":"string"},"UseScope":{"description":"Use scope. Required for Key stone version 3","type":"boolean"},"ProjectType":{"format":"int32","description":"Project type. Required for Key stone version 3 and if UseScope is true","enum":[0,1],"type":"integer"},"Project":{"description":"Project. Required for Key stone version 3 and if UseScope is true","type":"string"}}},"OpenStackCompatible":{"description":"","type":"object","properties":{"UserName":{"description":"User name","type":"string"},"ApiKey":{"description":"Api Key","type":"string"},"AuthService":{"description":"Authentication service","type":"string"},"KeyStoneVersion":{"format":"int32","description":"Keystone version","enum":[0,1,2],"type":"integer"},"TenantType":{"format":"int32","description":"Tenant Type. Required for Key stone version 2","enum":[0,1],"type":"integer"},"Tenant":{"description":"Tenant","type":"string"},"UseInternalURLs":{"description":"Use internal URLs. Required for Key stone version 2 and 3","type":"boolean"},"DomainType":{"format":"int32","description":"Domain Type. Required for Key stone version 3","enum":[0,1],"type":"integer"},"Domain":{"description":"Domain. Required for Key stone version 3","type":"string"},"UseScope":{"description":"Use scope. Required for Key stone version 3","type":"boolean"},"ProjectType":{"format":"int32","description":"Project type. Required for Key stone version 3 and if UseScope is true","enum":[0,1],"type":"integer"},"Project":{"description":"Project. Required for Key stone version 3 and if UseScope is true","type":"string"}}},"S3CompatibleSettings":{"description":"S3 Compatible settings","type":"object","properties":{"SignatureVersion":{"format":"int32","description":"Signature version. Required for S3Compatible accounts","enum":[2,4],"type":"integer"},"UseNativeMultipartUpload":{"description":"Use Native Multipart Upload. Required for Aruba Cloud, Backblaze B2, Connectria, Constant, DreamObjects, Dunkel,\r\nGreenQloud, HostEurope, Seeweb, ThinkOn, Tiscali and Walrus accounts","type":"boolean"},"HTTPEnpoint":{"type":"string"},"HTTPSEndpoint":{"type":"string"},"IgnoreCertificate":{"type":"boolean"},"NotCheckCredentials":{"type":"boolean"},"IsVersioningEnabled":{"type":"boolean"},"KeepCredentialsOnEndpoint":{"type":"boolean"},"IsSyntheticBackupAllowed":{"type":"boolean"},"UseVHostRequestStyle":{"type":"boolean"},"AccessKey":{"type":"string"},"SecretKey":{"type":"string"}}},"CloudianSettings":{"description":"Cloudian settings","type":"object","properties":{"SignatureVersion":{"format":"int32","description":"Signature version. Required for S3Compatible accounts","enum":[2,4],"type":"integer"},"UseNativeMultipartUpload":{"description":"Use Native Multipart Upload. Required for Aruba Cloud, Backblaze B2, Connectria, Constant, DreamObjects, Dunkel,\r\nGreenQloud, HostEurope, Seeweb, ThinkOn, Tiscali and Walrus accounts","type":"boolean"},"HTTPEnpoint":{"type":"string"},"HTTPSEndpoint":{"type":"string"},"IgnoreCertificate":{"type":"boolean"},"NotCheckCredentials":{"type":"boolean"},"IsVersioningEnabled":{"type":"boolean"},"KeepCredentialsOnEndpoint":{"type":"boolean"},"IsSyntheticBackupAllowed":{"type":"boolean"},"UseVHostRequestStyle":{"type":"boolean"},"AccessKey":{"type":"string"},"SecretKey":{"type":"string"}}},"FSSettings":{"description":"Centrally Managed File System account settings","type":"object","properties":{"Login":{"description":"Login","type":"string"},"Pass":{"description":"Password","type":"string"},"Path":{"description":"Path to shared data","type":"string"}}},"WasabiSettings":{"description":"Wasabi settings","type":"object","properties":{"AccessKey":{"description":"Access Key","type":"string"},"SecretKey":{"description":"Secret Key","type":"string"}}},"MinioSettings":{"description":"Minio settings","type":"object","properties":{"HTTPEnpoint":{"type":"string"},"HTTPSEndpoint":{"type":"string"},"IgnoreCertificate":{"type":"boolean"},"NotCheckCredentials":{"type":"boolean"},"IsVersioningEnabled":{"type":"boolean"},"KeepCredentialsOnEndpoint":{"type":"boolean"},"IsSyntheticBackupAllowed":{"type":"boolean"},"UseVHostRequestStyle":{"type":"boolean"},"AccessKey":{"type":"string"},"SecretKey":{"type":"string"}}},"EditAccount":{"description":"Structure of MBS account to edit","required":["AccountID","DisplayName","Type","AccountSettings"],"type":"object","properties":{"AccountID":{"format":"uuid","description":"Unique ID of edit account","type":"string","example":"00000000-0000-0000-0000-000000000000"},"DisplayName":{"description":"Display name","type":"string"},"Type":{"format":"int32","description":"Account type","enum":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,1001,1002],"type":"integer"},"AccountSettings":{"$ref":"#/definitions/Settings","description":"Specific storage settings"}}},"AccountsModels":{"description":"","type":"object","properties":{"AccountID":{"description":"Account unique identifier","type":"string"},"DateCreated":{"format":"date-time","description":"Date Created","type":"string"},"DisplayName":{"description":"Display Name","type":"string"},"StorageType":{"description":"Storage Type","type":"string"},"Destinations":{"description":"Destination List","type":"array","items":{"$ref":"#/definitions/DestinationOfAccount"}}}},"DestinationOfAccountCreate":{"description":"Storage account destination model","required":["AccountID","Destination"],"type":"object","properties":{"AccountID":{"format":"uuid","description":"Storage account ID","type":"string","example":"00000000-0000-0000-0000-000000000000"},"Destination":{"description":"Destination name","type":"string"},"DestinationDisplayName":{"description":"Destination name to display","type":"string"},"ImmutabilityPeriodDays":{"format":"int32","maximum":2147483647,"minimum":0,"type":"integer"}}},"AccountDestinationCreateModel":{"description":"New destination creating model","required":["AccountID","DisplayName","DestinationSettings"],"type":"object","properties":{"AccountID":{"format":"uuid","description":"Storage account ID","type":"string","example":"00000000-0000-0000-0000-000000000000"},"DisplayName":{"description":"Destination display name","type":"string"},"DestinationSettings":{"$ref":"#/definitions/StorageDestinationSettings","description":"Destination settings"}}},"StorageDestinationSettings":{"description":"Account destination parameters","type":"object","properties":{"GoogleCloudPlatform":{"$ref":"#/definitions/GoogleDestinationModel","description":"Destination settings for Google Cloud Platform accounts"},"AmazonS3":{"$ref":"#/definitions/S3DestinationModel","description":"Destination settings for Amazon S3 and Amazon S3 China accounts"},"Wasabi":{"$ref":"#/definitions/StorageDestinationWithLocationModel","description":"Destination settings for Wasabi cloud storage"},"S3Compatible":{"$ref":"#/definitions/StorageDestinationModelBase","description":"Destination settings for S3 Compatible cloud storages"},"Azure":{"$ref":"#/definitions/StorageDestinationModelBase","description":"Destination settings for Azure cloud storage"},"B2":{"$ref":"#/definitions/StorageDestinationModelBase","description":"Destination settings for Backblaze B2 cloud storage"}}},"GoogleDestinationModel":{"description":"Destination settings for Google Cloud storage","type":"object","properties":{"StorageClass":{"$ref":"#/definitions/GoogleStorageClass","description":"Storage class of the bucket"},"RegionalLocation":{"format":"int32","description":"Regional location","enum":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"type":"integer"},"BucketName":{"description":"Name of the bucket used to store data in the cloud storage(It is called bucket in all cloud storages except for Azure. In Azure terminology, it is called container.)","type":"string"},"UseImmutability":{"type":"boolean"},"ImmutabilityPeriodDays":{"format":"int32","maximum":32767,"minimum":0,"type":"integer"}}},"S3DestinationModel":{"description":"Destination settings for Amazon S3 cloud storage","type":"object","properties":{"UseS3TransferAcceleration":{"description":"Amazon S3 Transfer Acceleration enables fast data transfers. Addition data transfer charges may apply.","type":"boolean"},"Region":{"description":"Region of the bucket(container for Azure)","type":"string"},"BucketName":{"description":"Name of the bucket used to store data in the cloud storage(It is called bucket in all cloud storages except for Azure. In Azure terminology, it is called container.)","type":"string"},"UseImmutability":{"type":"boolean"},"ImmutabilityPeriodDays":{"format":"int32","maximum":32767,"minimum":0,"type":"integer"}}},"StorageDestinationWithLocationModel":{"description":"Destination settings for cloud storages which buckets(containers for azure) have a regional location(Amason S3, Google Cloud, Wasabi)","type":"object","properties":{"Region":{"description":"Region of the bucket(container for Azure)","type":"string"},"BucketName":{"description":"Name of the bucket used to store data in the cloud storage(It is called bucket in all cloud storages except for Azure. In Azure terminology, it is called container.)","type":"string"},"UseImmutability":{"type":"boolean"},"ImmutabilityPeriodDays":{"format":"int32","maximum":32767,"minimum":0,"type":"integer"}}},"StorageDestinationModelBase":{"description":"Destination settings for cloud storages(Amason S3, Microsoft Azure, Backblaze B2, Google Cloud, S3 Compatible, Wasabi, Minio)","type":"object","properties":{"BucketName":{"description":"Name of the bucket used to store data in the cloud storage(It is called bucket in all cloud storages except for Azure. In Azure terminology, it is called container.)","type":"string"},"UseImmutability":{"type":"boolean"},"ImmutabilityPeriodDays":{"format":"int32","maximum":32767,"minimum":0,"type":"integer"}}},"GoogleStorageClass":{"type":"object","properties":{"StorageClass":{"format":"int32","enum":[0,1,2,3,4,5],"type":"integer","readOnly":true},"DisplayName":{"type":"string","readOnly":true},"ID":{"format":"int32","type":"integer","readOnly":true}}},"AdministratorsModels":{"description":"Structure of administrators","type":"object","properties":{"AdminID":{"format":"uuid","description":"Administrator unique identification","type":"string","example":"00000000-0000-0000-0000-000000000000"},"Email":{"description":"Administrator email","type":"string"},"FirstName":{"description":"First name","type":"string"},"LastName":{"description":"Last name","type":"string"},"Enabled":{"description":"Enabled or disabled administrator","type":"boolean"},"PermissionsModels":{"description":"Administrator permissions","type":"object","additionalProperties":{"format":"int32","enum":[0,1],"type":"integer"}},"LastLogin":{"format":"date-time","description":"Last login date","type":"string"},"DateCreated":{"format":"date-time","description":"Date created","type":"string"},"Companies":{"description":"Administrator companies","type":"array","items":{"type":"string"}},"AccessToCompaniesMode":{"format":"int32","description":"            Access To Companies            \r\n\t\t\t\r\n\t\t\tNote:\r\n            The default is \"SpecifiedCompanies\".\r\n            If set to \"SpecifiedCompanies\" then the list of Companies can be empty for backward compatibility.\r\n            If set to \"AllCompanies\" then the list of Companies must be empty.","enum":[0,1],"type":"integer"},"AccountType":{"format":"int32","description":"            This value is intended for future RBAC.\r\n\t\t\tIf set to \"Internal\" then access to an employee inside company is provided.\r\n\t\t\tIf set to \"External\" then access to any third party, such as a customer, is provided.\r\n\t\t\tThis field can be empty for backward compatibility.","enum":[0,1,2],"type":"integer","readOnly":true}}},"AdministratorsNewModels":{"description":"Structure for create administrator","required":["Email","InitialPassword","Enabled","PermissionsModels"],"type":"object","properties":{"Email":{"description":"Administrator email","type":"string"},"InitialPassword":{"description":"Initial password","type":"string"},"SendInstruction":{"description":"Send email with instruction to administrator","type":"boolean"},"FirstName":{"description":"First name","type":"string"},"LastName":{"description":"Last name","type":"string"},"Enabled":{"description":"Enabled or disabled administrator","type":"boolean"},"AccountType":{"format":"int32","description":"            This value is intended for future RBAC.\r\n\t\t\tIf set to \"Internal\" then access to an employee inside company is provided.\r\n\t\t\tIf set to \"External\" then access to any third party, such as a customer, is provided.\r\n\t\t\tThis field can be empty for backward compatibility.","enum":[0,1,2],"type":"integer"},"PermissionsModels":{"description":"Administrator permissions","type":"object","additionalProperties":{"format":"int32","enum":[0,1],"type":"integer"}},"Companies":{"description":"Administrator companies","type":"array","items":{"type":"string"}},"AccessToCompaniesMode":{"format":"int32","description":"            Access To Companies            \r\n\t\t\t\r\n\t\t\tNote:\r\n            The default is \"SpecifiedCompanies\".\r\n            If set to \"SpecifiedCompanies\" then the list of Companies can be empty for backward compatibility.\r\n            If set to \"AllCompanies\" then the list of Companies must be empty.","enum":[0,1],"type":"integer"}}},"AdministratorsEditModels":{"description":"Structure for edit administrator","required":["AdminID","Enabled","PermissionsModels"],"type":"object","properties":{"AdminID":{"format":"uuid","description":"Administrator unique identification","type":"string","example":"00000000-0000-0000-0000-000000000000"},"Password":{"description":"Initial password","type":"string"},"FirstName":{"description":"First name","type":"string"},"LastName":{"description":"Last name","type":"string"},"Enabled":{"description":"Enabled or disabled administrator","type":"boolean"},"PermissionsModels":{"description":"Administrator permissions","type":"object","additionalProperties":{"format":"int32","enum":[0,1],"type":"integer"}},"Companies":{"description":"Administrator companies","type":"array","items":{"type":"string"}},"AccountType":{"format":"int32","description":"This value is intended for future RBAC.\r\nIf set to \"Internal\" then access to an employee inside company is provided.\r\nIf set to \"External\" then access to any third party, such as a customer, is provided.\r\nThis field can be empty for backward compatibility.","enum":[0,1,2],"type":"integer"},"AccessToCompaniesMode":{"format":"int32","description":"            Access To Companies            \r\n\t\t\t\r\n\t\t\tNote:\r\n            The default is \"SpecifiedCompanies\".\r\n            If set to \"SpecifiedCompanies\" then the list of Companies can be empty for backward compatibility.\r\n            If set to \"AllCompanies\" then the list of Companies must be empty.","enum":[0,1],"type":"integer"}}},"BillingModels":{"description":"Views monthly usage report per user and generate invoices","type":"object","properties":{"CurrentSpaceUsed":{"format":"int64","description":"A space used by all users at the moment. This value is updated once a day","type":"integer"},"AverageSpaceUsed":{"format":"int64","description":"An average of a space used by all users for selected month. It is calculated based on backup plans information","type":"integer"},"TotalRestore":{"format":"int64","description":"Total restore value","type":"integer"},"StatisticBilling":{"type":"array","items":{"$ref":"#/definitions/StatisticBillingModels"}}}},"StatisticBillingModels":{"description":"Billing Statistic","type":"object","properties":{"UserId":{"format":"uuid","description":"User unique identifier","type":"string","example":"00000000-0000-0000-0000-000000000000"},"Email":{"description":"User login (email)","type":"string"},"FirstName":{"description":"User first name","type":"string"},"LastName":{"description":"User last name","type":"string"},"CompanyName":{"description":"Company Name","type":"string"},"AverageSpace":{"format":"int64","description":"Average Space Used","type":"integer"},"TotalVolumeRestore":{"format":"int64","description":"Total Volume Restore","type":"integer"},"PlanCost":{"format":"double","description":"Plan Cost","type":"number"},"StorageCost":{"format":"double","description":"Storage Cost","type":"number"},"RestoreCost":{"format":"double","description":"Restore Cost","type":"number"},"TotalCost":{"format":"double","description":"Total Cost","type":"number"}}},"FilterTotalModels":{"description":"Structure of billing filter","type":"object","properties":{"CompanyName":{"description":"If empty or pass will be ignored","type":"string"},"Date":{"format":"date-time","description":"If empty or pass will set current month","type":"string"}}},"FilterDetailModels":{"description":"Structure of details filter","required":["UserID"],"type":"object","properties":{"UserID":{"format":"uuid","description":"User unique identifier","type":"string","example":"00000000-0000-0000-0000-000000000000"},"Date":{"format":"date-time","description":"If empty or pass will set current month","type":"string"}}},"DetailModels":{"description":"Detail information for user","type":"object","properties":{"TotalBackupBytes":{"format":"int64","description":"Total Backup Bytes","type":"integer"},"TotalRestoreBytes":{"format":"int64","description":"Total Backup Bytes","type":"integer"},"UserID":{"format":"uuid","description":"User unique identifier","type":"string","example":"00000000-0000-0000-0000-000000000000"},"UserDetailList":{"description":"User Detail List of Billing Information","type":"array","items":{"$ref":"#/definitions/UserDetailModels"}}}},"UserDetailModels":{"description":"Record of Detail Billing Information","type":"object","properties":{"Computer":{"description":"Computer Name","type":"string"},"SizeBackup":{"format":"int64","description":"Backup Total Volume","type":"integer"},"SizeRestore":{"format":"int64","description":"Restore Total Volume","type":"integer"},"Prefix":{"description":"Prefix Name","type":"string"},"AccountID":{"format":"uuid","description":"Storage Account ID","type":"string","example":"00000000-0000-0000-0000-000000000000"},"Destination":{"description":"Backup/Restore Destination","type":"string"}}},"BuildModels":{"description":"Build structure fields","type":"object","properties":{"Type":{"description":"The type of build","type":"string"},"Version":{"description":"Build version","type":"string"},"DownloadLink":{"description":"Download Link","type":"string"},"IsSandbox":{"type":"boolean"}}},"RequestBuilds":{"type":"object","properties":{"Editions":{"type":"array","items":{"format":"int32","enum":[0,1,2,3,4,5,6,7,8,9,10,11],"type":"integer"}},"Type":{"format":"int32","enum":[0,1],"type":"integer"}}},"BuildEditionModel":{"description":"Build structure fields","type":"object","properties":{"Type":{"format":"int32","description":"The type of build","enum":[0,1,2,3,4,5,6,7,8,9,10,11],"type":"integer"},"Version":{"description":"Build version","type":"string"}}},"DomainModel":{"type":"object","properties":{"Domain":{"type":"string"},"Storage":{"type":"string"},"StorageLimit":{"$ref":"#/definitions/StorageLimitInfo"},"StorageUsage":{"$ref":"#/definitions/StorageUsageInfo"},"ActivatedLicenses":{"format":"int32","type":"integer"}}},"StorageLimitInfo":{"type":"object","properties":{"TotalLimit":{"format":"int32","type":"integer"},"CommandDriveLimit":{"format":"int32","type":"integer"},"OtherServicesLimit":{"format":"int32","type":"integer"}}},"StorageUsageInfo":{"type":"object","properties":{"Total":{"format":"int64","type":"integer"}}},"CancellationToken":{"type":"object","properties":{"IsCancellationRequested":{"type":"boolean","readOnly":true},"CanBeCanceled":{"type":"boolean","readOnly":true},"WaitHandle":{"$ref":"#/definitions/WaitHandle","readOnly":true}}},"WaitHandle":{"type":"object","properties":{"Handle":{"type":"object"},"SafeWaitHandle":{"$ref":"#/definitions/SafeWaitHandle"}}},"SafeWaitHandle":{"type":"object","properties":{"IsInvalid":{"type":"boolean","readOnly":true},"IsClosed":{"type":"boolean","readOnly":true}}},"CompanyModel":{"description":"Company data structure for editing","type":"object","properties":{"Id":{"format":"uuid","type":"string","example":"00000000-0000-0000-0000-000000000000"},"Name":{"type":"string"},"StorageLimit":{"format":"int64","type":"integer"},"LicenseSettings":{"format":"int32","enum":[0,1,2],"type":"integer"},"Destinations":{"type":"array","items":{"$ref":"#/definitions/CompanyDestinationModel"}},"DefaultLicense":{"format":"int32","enum":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,-1],"type":"integer"},"AllowedLicenses":{"type":"array","items":{"format":"int32","enum":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,-1],"type":"integer"}}}},"CompanyDestinationModel":{"description":"Company destination structure","type":"object","properties":{"DestinationId":{"format":"uuid","description":"Destination bucket ID","type":"string","example":"00000000-0000-0000-0000-000000000000"},"PlanId":{"format":"int32","type":"integer"}}},"CompanyCreateModel":{"description":"Company data structure for a new company creating","type":"object","properties":{"Name":{"type":"string"},"StorageLimit":{"format":"int64","type":"integer"},"LicenseSettings":{"format":"int32","enum":[0,1,2],"type":"integer"},"Destinations":{"type":"array","items":{"$ref":"#/definitions/CompanyDestinationModel"}},"DefaultLicense":{"format":"int32","enum":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,-1],"type":"integer"},"AllowedLicenses":{"type":"array","items":{"format":"int32","enum":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,-1],"type":"integer"}}}},"CreatePlanRequest":{"type":"object","properties":{"PlanType":{"type":"string"},"Plan":{"type":"object"}}},"UpdatePlanRequest":{"type":"object","properties":{"Plan":{"type":"object"}}},"StartPlanRequest":{"type":"object","properties":{"Mode":{"type":"string"}}},"StopPlanRequest":{"type":"object","properties":{"Force":{"type":"boolean"}}},"Date":{"type":"object","properties":{"Year":{"format":"int32","maximum":9999,"minimum":2023,"type":"integer"},"Month":{"format":"int32","maximum":12,"minimum":1,"type":"integer"},"Day":{"format":"int32","maximum":31,"minimum":1,"type":"integer"}}},"AuthorizeComputerRequest":{"type":"object","properties":{"UserId":{"type":"string"},"CompanyId":{"type":"string"}}},"AddUserDestination":{"required":["UserID","AccountID","Destination","PackageID"],"type":"object","properties":{"UserID":{"type":"string"},"AccountID":{"type":"string"},"Destination":{"type":"string"},"PackageID":{"format":"int32","type":"integer"}}},"UserDestinationsModel":{"description":"Structure that describe user destination","type":"object","properties":{"ID":{"type":"string"},"CurrentVolume":{"format":"int64","type":"integer"},"PackageID":{"format":"int32","type":"integer"},"AccountID":{"type":"string"},"AccountDisplayName":{"type":"string"},"Destination":{"type":"string"},"DestinationDisplayName":{"type":"string"}}},"EditUserDestination":{"required":["ID","UserID","AccountID","Destination","PackageID"],"type":"object","properties":{"ID":{"type":"string"},"UserID":{"type":"string"},"AccountID":{"type":"string"},"Destination":{"type":"string"},"PackageID":{"format":"int32","type":"integer"}}},"LicensesModels":{"description":"License structure fields","type":"object","properties":{"ID":{"description":"License unique identifier","type":"string"},"Number":{"format":"int32","description":"License number","type":"integer"},"ComputerName":{"description":"Computer name","type":"string"},"OperatingSystem":{"description":"Operating system","type":"string"},"IsTrial":{"description":"Kind of license: true – trial, false – paid","type":"boolean"},"IsTaken":{"description":"The license in use or not.","type":"boolean"},"LicenseType":{"description":"The type of license","type":"string"},"DateExpired":{"format":"date-time","description":"Date Expired of License","type":"string"},"Transaction":{"description":"Transaction of License","type":"string"},"User":{"description":"User of License","type":"string"},"UserID":{"description":"User unique identifier","type":"string"}}},"LicenseOperation":{"description":"License structure fields for operation grant, remove and release","required":["LicenseID","UserID"],"type":"object","properties":{"LicenseID":{"description":"Old license unique identifier for operation","type":"string"},"UserID":{"description":"User unique of the existing user identifier for operation","type":"string"}}},"MonitoringModels":{"description":"A list of monitoring structures","type":"object","properties":{"PlanName":{"description":"Plan name.","type":"string"},"CompanyName":{"description":"Company name","type":"string"},"UserName":{"description":"User email.","type":"string"},"UserID":{"description":"User unique identifier","type":"string"},"ComputerName":{"description":"Computer name.","type":"string"},"ComputerHid":{"type":"string"},"BuildVersion":{"description":"Build version.","type":"string"},"StorageType":{"description":"Storage type","type":"string"},"LastStart":{"format":"date-time","description":"Last start","type":"string"},"NextStart":{"format":"date-time","description":"Next run.","type":"string"},"Status":{"format":"int32","description":"Status of plan.","enum":[0,1,2,3,4,5,6,7],"type":"integer"},"ErrorMessage":{"description":"Error message.","type":"string"},"FilesCopied":{"format":"int64","description":"Files Copied","type":"integer"},"FilesFailed":{"format":"int64","description":"Files Failed","type":"integer"},"DataCopied":{"format":"int64","description":"Size Data Copied","type":"integer"},"Duration":{"description":"Duration of Operation","type":"string"},"DataToBackup":{"format":"int64","description":"Size Data To Backup","type":"integer"},"TotalData":{"format":"int64","description":"Size Total Data","type":"integer"},"FilesScanned":{"format":"int64","description":"Files Scanned","type":"integer"},"FilesToBackup":{"format":"int64","description":"Files To Backup","type":"integer"},"PlanId":{"description":"Plan unique identifier","type":"string"},"PlanType":{"format":"int32","description":"Plan Type","enum":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19],"type":"integer"},"DetailedReportLink":{"description":"Detailed Report Link","type":"string"}}},"PackagesModels":{"description":"Package structure fields","required":["ID","Enabled","Name","isGlacierRestoreLimit"],"type":"object","properties":{"ID":{"format":"int32","description":"Package unique identifier","type":"integer"},"Cost":{"format":"double","type":"number"},"Description":{"type":"string"},"Enabled":{"type":"boolean"},"Name":{"type":"string"},"StorageLimit":{"format":"double","description":"In Gb","type":"number"},"isGlacierRestoreLimit":{"type":"boolean"},"RestoreLimit":{"format":"double","description":"In Gb","type":"number"},"GlacierRestoreType":{"format":"int32","description":"Only for Amazon to Glacier accounts.\r\nNotes: 'Standard' = default value. 'No' = Do not restore files from Glacier","enum":[0,1,2,3],"type":"integer"},"UseRestoreLimit":{"description":"User restore limit. Default value is 'false'","type":"boolean"}}},"PackageCreate":{"description":"Package create structure fields","required":["Name","StorageLimit","isGlacierRestoreLimit","Cost"],"type":"object","properties":{"Name":{"description":"Package name","type":"string"},"Description":{"description":"Package description","type":"string"},"StorageLimit":{"format":"double","description":"In Gb","type":"number"},"isGlacierRestoreLimit":{"type":"boolean"},"RestoreLimit":{"format":"double","description":"In Gb","type":"number"},"Cost":{"format":"double","type":"number"},"GlacierRestoreType":{"format":"int32","description":"Only for Amazon to Glacier accounts.\r\nNotes: 'Standard' = default value. 'No' = Do not restore files from Glacier","enum":[0,1,2,3],"type":"integer"},"UseRestoreLimit":{"description":"User restore limit. Default value is 'false'","type":"boolean"}}},"LoginUserBindingModel":{"required":["UserName","Password"],"type":"object","properties":{"UserName":{"description":"Login, parameter required","type":"string"},"Password":{"description":"Password, parameter required.","maxLength":100,"minLength":3,"type":"string"}}},"UsersModels":{"description":"User structure fields","type":"object","properties":{"ID":{"description":"User unique identifier","type":"string"},"Email":{"description":"User login (email)","type":"string"},"FirstName":{"type":"string"},"LastName":{"type":"string"},"NotificationEmails":{"type":"array","items":{"type":"string"}},"Company":{"type":"string"},"Enabled":{"type":"boolean"},"LicenseManagmentMode":{"format":"int32","description":"Mode of user license management","enum":[0,1,2],"type":"integer"},"DestinationList":{"type":"array","items":{"$ref":"#/definitions/UserDestinationsModel"}},"SpaceUsed":{"format":"int64","description":"Space Used (KB)","type":"integer"}}},"UsersEditModels":{"description":"User structure fields for edit","required":["ID","Enabled"],"type":"object","properties":{"ID":{"description":"User unique identifier","type":"string"},"Email":{"description":"User login(email).","type":"string"},"FirstName":{"type":"string"},"LastName":{"type":"string"},"NotificationEmails":{"type":"array","items":{"type":"string"}},"Company":{"type":"string"},"Enabled":{"type":"boolean"},"Password":{"description":"User password","type":"string"},"LicenseManagmentMode":{"format":"int32","description":"Mode of user license management","enum":[0,1,2],"type":"integer"}}},"UsersAddModels":{"required":["Email","Enabled","Password"],"type":"object","properties":{"Email":{"description":"User login(email)","type":"string"},"FirstName":{"type":"string"},"LastName":{"type":"string"},"NotificationEmails":{"type":"array","items":{"type":"string"}},"Company":{"type":"string"},"Enabled":{"type":"boolean"},"Password":{"description":"User password","maxLength":100,"minLength":6,"type":"string"},"DestinationList":{"type":"array","items":{"$ref":"#/definitions/DestinationForNewUser"}},"SendEmailInstruction":{"description":"Send email with instructions to the user","type":"boolean"},"LicenseManagmentMode":{"format":"int32","description":"Mode of user license management","enum":[0,1,2],"type":"integer"}}},"DestinationForNewUser":{"required":["AccountID","Destination","PackageID"],"type":"object","properties":{"AccountID":{"type":"string"},"Destination":{"type":"string"},"PackageID":{"format":"int32","type":"integer"}}},"UserAuthData":{"required":["Email","Password"],"type":"object","properties":{"Email":{"description":"User login(email)","type":"string"},"Password":{"description":"User password","type":"string"}}},"UserComputerData":{"description":"Structure for working with user computer data","required":["DestinationId","ComputerName"],"type":"object","properties":{"DestinationId":{"format":"uuid","description":"Policy ID","type":"string","example":"00000000-0000-0000-0000-000000000000"},"ComputerName":{"description":"Computer name","type":"string"}}}},"securityDefinitions":{"apiKey":{"type":"apiKey","description":"API Key Authentication","name":"Token","in":"header"}}}